#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSPageDescriptors" "\0"
  /*  1251 */ "CSSPageRule" "\0"
  /*  1263 */ "CSSPropertyRule" "\0"
  /*  1279 */ "CSSPseudoElement" "\0"
  /*  1296 */ "CSSRule" "\0"
  /*  1304 */ "CSSRuleList" "\0"
  /*  1316 */ "CSSScopeRule" "\0"
  /*  1329 */ "CSSStartingStyleRule" "\0"
  /*  1350 */ "CSSStyleDeclaration" "\0"
  /*  1370 */ "CSSStyleRule" "\0"
  /*  1383 */ "CSSStyleSheet" "\0"
  /*  1397 */ "CSSSupportsRule" "\0"
  /*  1413 */ "CSSTransition" "\0"
  /*  1427 */ "Cache" "\0"
  /*  1433 */ "CacheStorage" "\0"
  /*  1446 */ "CallbackDebuggerNotification" "\0"
  /*  1475 */ "CanonicalBrowsingContext" "\0"
  /*  1500 */ "CanvasCaptureMediaStream" "\0"
  /*  1525 */ "CanvasGradient" "\0"
  /*  1540 */ "CanvasPattern" "\0"
  /*  1554 */ "CanvasRenderingContext2D" "\0"
  /*  1579 */ "CaretPosition" "\0"
  /*  1593 */ "CaretStateChangedEvent" "\0"
  /*  1616 */ "ChannelMergerNode" "\0"
  /*  1634 */ "ChannelSplitterNode" "\0"
  /*  1654 */ "ChannelWrapper" "\0"
  /*  1669 */ "CharacterData" "\0"
  /*  1683 */ "CheckerboardReportService" "\0"
  /*  1709 */ "ChildProcessMessageManager" "\0"
  /*  1736 */ "ChildSHistory" "\0"
  /*  1750 */ "ChromeMessageBroadcaster" "\0"
  /*  1775 */ "ChromeMessageSender" "\0"
  /*  1795 */ "ChromeNodeList" "\0"
  /*  1810 */ "ChromeUtils" "\0"
  /*  1822 */ "ChromeWorker" "\0"
  /*  1835 */ "Client" "\0"
  /*  1842 */ "Clients" "\0"
  /*  1850 */ "Clipboard" "\0"
  /*  1860 */ "ClipboardEvent" "\0"
  /*  1875 */ "ClipboardItem" "\0"
  /*  1889 */ "ClonedErrorHolder" "\0"
  /*  1907 */ "CloseEvent" "\0"
  /*  1918 */ "CommandEvent" "\0"
  /*  1931 */ "Comment" "\0"
  /*  1939 */ "CompositionEvent" "\0"
  /*  1956 */ "CompressionStream" "\0"
  /*  1974 */ "ConsoleInstance" "\0"
  /*  1990 */ "ConstantSourceNode" "\0"
  /*  2009 */ "ContentFrameMessageManager" "\0"
  /*  2036 */ "ContentProcessMessageManager" "\0"
  /*  2065 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2103 */ "ConvolverNode" "\0"
  /*  2117 */ "CountQueuingStrategy" "\0"
  /*  2138 */ "CreateOfferRequest" "\0"
  /*  2157 */ "Credential" "\0"
  /*  2168 */ "CredentialsContainer" "\0"
  /*  2189 */ "Crypto" "\0"
  /*  2196 */ "CryptoKey" "\0"
  /*  2206 */ "CustomElementRegistry" "\0"
  /*  2228 */ "CustomEvent" "\0"
  /*  2240 */ "CustomStateSet" "\0"
  /*  2255 */ "DOMException" "\0"
  /*  2268 */ "DOMImplementation" "\0"
  /*  2286 */ "DOMLocalization" "\0"
  /*  2302 */ "DOMMatrix" "\0"
  /*  2312 */ "DOMMatrixReadOnly" "\0"
  /*  2330 */ "DOMParser" "\0"
  /*  2340 */ "DOMPoint" "\0"
  /*  2349 */ "DOMPointReadOnly" "\0"
  /*  2366 */ "DOMQuad" "\0"
  /*  2374 */ "DOMRect" "\0"
  /*  2382 */ "DOMRectList" "\0"
  /*  2394 */ "DOMRectReadOnly" "\0"
  /*  2410 */ "DOMStringList" "\0"
  /*  2424 */ "DOMStringMap" "\0"
  /*  2437 */ "DOMTokenList" "\0"
  /*  2450 */ "DataTransfer" "\0"
  /*  2463 */ "DataTransferItem" "\0"
  /*  2480 */ "DataTransferItemList" "\0"
  /*  2501 */ "DebuggerNotification" "\0"
  /*  2522 */ "DebuggerNotificationObserver" "\0"
  /*  2551 */ "DecompressionStream" "\0"
  /*  2571 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2598 */ "DelayNode" "\0"
  /*  2608 */ "DeprecationReportBody" "\0"
  /*  2630 */ "DeviceAcceleration" "\0"
  /*  2649 */ "DeviceLightEvent" "\0"
  /*  2666 */ "DeviceMotionEvent" "\0"
  /*  2684 */ "DeviceOrientationEvent" "\0"
  /*  2707 */ "DeviceRotationRate" "\0"
  /*  2726 */ "Directory" "\0"
  /*  2736 */ "Document" "\0"
  /*  2745 */ "DocumentFragment" "\0"
  /*  2762 */ "DocumentL10n" "\0"
  /*  2775 */ "DocumentTimeline" "\0"
  /*  2792 */ "DocumentType" "\0"
  /*  2805 */ "DominatorTree" "\0"
  /*  2819 */ "DragEvent" "\0"
  /*  2829 */ "DynamicsCompressorNode" "\0"
  /*  2852 */ "EXT_blend_minmax" "\0"
  /*  2869 */ "EXT_color_buffer_float" "\0"
  /*  2892 */ "EXT_color_buffer_half_float" "\0"
  /*  2920 */ "EXT_depth_clamp" "\0"
  /*  2936 */ "EXT_disjoint_timer_query" "\0"
  /*  2961 */ "EXT_float_blend" "\0"
  /*  2977 */ "EXT_frag_depth" "\0"
  /*  2992 */ "EXT_sRGB" "\0"
  /*  3001 */ "EXT_shader_texture_lod" "\0"
  /*  3024 */ "EXT_texture_compression_bptc" "\0"
  /*  3053 */ "EXT_texture_compression_rgtc" "\0"
  /*  3082 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3113 */ "EXT_texture_norm16" "\0"
  /*  3132 */ "Element" "\0"
  /*  3140 */ "ElementInternals" "\0"
  /*  3157 */ "EncodedAudioChunk" "\0"
  /*  3175 */ "EncodedVideoChunk" "\0"
  /*  3193 */ "ErrorEvent" "\0"
  /*  3204 */ "Event" "\0"
  /*  3210 */ "EventCallbackDebuggerNotification" "\0"
  /*  3244 */ "EventCounts" "\0"
  /*  3256 */ "EventSource" "\0"
  /*  3268 */ "EventTarget" "\0"
  /*  3280 */ "Exception" "\0"
  /*  3290 */ "ExtendableEvent" "\0"
  /*  3306 */ "ExtendableMessageEvent" "\0"
  /*  3329 */ "ExtensionAlarms" "\0"
  /*  3345 */ "ExtensionBrowser" "\0"
  /*  3362 */ "ExtensionBrowserSettings" "\0"
  /*  3387 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3427 */ "ExtensionDns" "\0"
  /*  3440 */ "ExtensionEventManager" "\0"
  /*  3462 */ "ExtensionMockAPI" "\0"
  /*  3479 */ "ExtensionPort" "\0"
  /*  3493 */ "ExtensionProxy" "\0"
  /*  3508 */ "ExtensionRuntime" "\0"
  /*  3525 */ "ExtensionScripting" "\0"
  /*  3544 */ "ExtensionSetting" "\0"
  /*  3561 */ "ExtensionTest" "\0"
  /*  3575 */ "External" "\0"
  /*  3584 */ "FeaturePolicy" "\0"
  /*  3598 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3631 */ "FetchEvent" "\0"
  /*  3642 */ "FetchObserver" "\0"
  /*  3656 */ "File" "\0"
  /*  3661 */ "FileList" "\0"
  /*  3670 */ "FileReader" "\0"
  /*  3681 */ "FileReaderSync" "\0"
  /*  3696 */ "FileSystem" "\0"
  /*  3707 */ "FileSystemDirectoryEntry" "\0"
  /*  3732 */ "FileSystemDirectoryHandle" "\0"
  /*  3758 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3798 */ "FileSystemDirectoryIterator" "\0"
  /*  3826 */ "FileSystemDirectoryReader" "\0"
  /*  3852 */ "FileSystemEntry" "\0"
  /*  3868 */ "FileSystemFileEntry" "\0"
  /*  3888 */ "FileSystemFileHandle" "\0"
  /*  3909 */ "FileSystemHandle" "\0"
  /*  3926 */ "FileSystemSyncAccessHandle" "\0"
  /*  3953 */ "FileSystemWritableFileStream" "\0"
  /*  3982 */ "Flex" "\0"
  /*  3987 */ "FlexItemValues" "\0"
  /*  4002 */ "FlexLineValues" "\0"
  /*  4017 */ "FluentBundle" "\0"
  /*  4030 */ "FluentBundleAsyncIterator" "\0"
  /*  4056 */ "FluentBundleIterator" "\0"
  /*  4077 */ "FluentPattern" "\0"
  /*  4091 */ "FluentResource" "\0"
  /*  4106 */ "FocusEvent" "\0"
  /*  4117 */ "FontFace" "\0"
  /*  4126 */ "FontFaceSet" "\0"
  /*  4138 */ "FontFaceSetIterator" "\0"
  /*  4158 */ "FontFaceSetLoadEvent" "\0"
  /*  4179 */ "FormData" "\0"
  /*  4188 */ "FormData Iterator" "\0"
  /*  4206 */ "FormDataEvent" "\0"
  /*  4220 */ "FragmentDirective" "\0"
  /*  4238 */ "FrameCrashedEvent" "\0"
  /*  4256 */ "FrameLoader" "\0"
  /*  4268 */ "GPU" "\0"
  /*  4272 */ "GPUAdapter" "\0"
  /*  4283 */ "GPUAdapterInfo" "\0"
  /*  4298 */ "GPUBindGroup" "\0"
  /*  4311 */ "GPUBindGroupLayout" "\0"
  /*  4330 */ "GPUBuffer" "\0"
  /*  4340 */ "GPUBufferUsage" "\0"
  /*  4355 */ "GPUCanvasContext" "\0"
  /*  4372 */ "GPUColorWrite" "\0"
  /*  4386 */ "GPUCommandBuffer" "\0"
  /*  4403 */ "GPUCommandEncoder" "\0"
  /*  4421 */ "GPUCompilationInfo" "\0"
  /*  4440 */ "GPUCompilationMessage" "\0"
  /*  4462 */ "GPUComputePassEncoder" "\0"
  /*  4484 */ "GPUComputePipeline" "\0"
  /*  4503 */ "GPUDevice" "\0"
  /*  4513 */ "GPUDeviceLostInfo" "\0"
  /*  4531 */ "GPUError" "\0"
  /*  4540 */ "GPUInternalError" "\0"
  /*  4557 */ "GPUMapMode" "\0"
  /*  4568 */ "GPUOutOfMemoryError" "\0"
  /*  4588 */ "GPUPipelineLayout" "\0"
  /*  4606 */ "GPUQuerySet" "\0"
  /*  4618 */ "GPUQueue" "\0"
  /*  4627 */ "GPURenderBundle" "\0"
  /*  4643 */ "GPURenderBundleEncoder" "\0"
  /*  4666 */ "GPURenderPassEncoder" "\0"
  /*  4687 */ "GPURenderPipeline" "\0"
  /*  4705 */ "GPUSampler" "\0"
  /*  4716 */ "GPUShaderModule" "\0"
  /*  4732 */ "GPUShaderStage" "\0"
  /*  4747 */ "GPUSupportedFeatures" "\0"
  /*  4768 */ "GPUSupportedLimits" "\0"
  /*  4787 */ "GPUTexture" "\0"
  /*  4798 */ "GPUTextureUsage" "\0"
  /*  4814 */ "GPUTextureView" "\0"
  /*  4829 */ "GPUUncapturedErrorEvent" "\0"
  /*  4853 */ "GPUValidationError" "\0"
  /*  4872 */ "GainNode" "\0"
  /*  4881 */ "Gamepad" "\0"
  /*  4889 */ "GamepadAxisMoveEvent" "\0"
  /*  4910 */ "GamepadButton" "\0"
  /*  4924 */ "GamepadButtonEvent" "\0"
  /*  4943 */ "GamepadEvent" "\0"
  /*  4956 */ "GamepadHapticActuator" "\0"
  /*  4978 */ "GamepadLightIndicator" "\0"
  /*  5000 */ "GamepadPose" "\0"
  /*  5012 */ "GamepadServiceTest" "\0"
  /*  5031 */ "GamepadTouch" "\0"
  /*  5044 */ "Geolocation" "\0"
  /*  5056 */ "GeolocationCoordinates" "\0"
  /*  5079 */ "GeolocationPosition" "\0"
  /*  5099 */ "GeolocationPositionError" "\0"
  /*  5124 */ "GetUserMediaRequest" "\0"
  /*  5144 */ "GleanBoolean" "\0"
  /*  5157 */ "GleanCategory" "\0"
  /*  5171 */ "GleanCounter" "\0"
  /*  5184 */ "GleanCustomDistribution" "\0"
  /*  5208 */ "GleanDatetime" "\0"
  /*  5222 */ "GleanDenominator" "\0"
  /*  5239 */ "GleanEvent" "\0"
  /*  5250 */ "GleanImpl" "\0"
  /*  5260 */ "GleanLabeled" "\0"
  /*  5273 */ "GleanMemoryDistribution" "\0"
  /*  5297 */ "GleanMetric" "\0"
  /*  5309 */ "GleanNumerator" "\0"
  /*  5324 */ "GleanObject" "\0"
  /*  5336 */ "GleanPingsImpl" "\0"
  /*  5351 */ "GleanQuantity" "\0"
  /*  5365 */ "GleanRate" "\0"
  /*  5375 */ "GleanString" "\0"
  /*  5387 */ "GleanStringList" "\0"
  /*  5403 */ "GleanText" "\0"
  /*  5413 */ "GleanTimespan" "\0"
  /*  5427 */ "GleanTimingDistribution" "\0"
  /*  5451 */ "GleanUrl" "\0"
  /*  5460 */ "GleanUuid" "\0"
  /*  5470 */ "Grid" "\0"
  /*  5475 */ "GridArea" "\0"
  /*  5484 */ "GridDimension" "\0"
  /*  5498 */ "GridLine" "\0"
  /*  5507 */ "GridLines" "\0"
  /*  5517 */ "GridTrack" "\0"
  /*  5527 */ "GridTracks" "\0"
  /*  5538 */ "HTMLAllCollection" "\0"
  /*  5556 */ "HTMLAnchorElement" "\0"
  /*  5574 */ "HTMLAreaElement" "\0"
  /*  5590 */ "HTMLAudioElement" "\0"
  /*  5607 */ "HTMLBRElement" "\0"
  /*  5621 */ "HTMLBaseElement" "\0"
  /*  5637 */ "HTMLBodyElement" "\0"
  /*  5653 */ "HTMLButtonElement" "\0"
  /*  5671 */ "HTMLCanvasElement" "\0"
  /*  5689 */ "HTMLCollection" "\0"
  /*  5704 */ "HTMLDListElement" "\0"
  /*  5721 */ "HTMLDataElement" "\0"
  /*  5737 */ "HTMLDataListElement" "\0"
  /*  5757 */ "HTMLDetailsElement" "\0"
  /*  5776 */ "HTMLDialogElement" "\0"
  /*  5794 */ "HTMLDirectoryElement" "\0"
  /*  5815 */ "HTMLDivElement" "\0"
  /*  5830 */ "HTMLDocument" "\0"
  /*  5843 */ "HTMLElement" "\0"
  /*  5855 */ "HTMLEmbedElement" "\0"
  /*  5872 */ "HTMLFieldSetElement" "\0"
  /*  5892 */ "HTMLFontElement" "\0"
  /*  5908 */ "HTMLFormControlsCollection" "\0"
  /*  5935 */ "HTMLFormElement" "\0"
  /*  5951 */ "HTMLFrameElement" "\0"
  /*  5968 */ "HTMLFrameSetElement" "\0"
  /*  5988 */ "HTMLHRElement" "\0"
  /*  6002 */ "HTMLHeadElement" "\0"
  /*  6018 */ "HTMLHeadingElement" "\0"
  /*  6037 */ "HTMLHtmlElement" "\0"
  /*  6053 */ "HTMLIFrameElement" "\0"
  /*  6071 */ "HTMLImageElement" "\0"
  /*  6088 */ "HTMLInputElement" "\0"
  /*  6105 */ "HTMLLIElement" "\0"
  /*  6119 */ "HTMLLabelElement" "\0"
  /*  6136 */ "HTMLLegendElement" "\0"
  /*  6154 */ "HTMLLinkElement" "\0"
  /*  6170 */ "HTMLMapElement" "\0"
  /*  6185 */ "HTMLMarqueeElement" "\0"
  /*  6204 */ "HTMLMediaElement" "\0"
  /*  6221 */ "HTMLMenuElement" "\0"
  /*  6237 */ "HTMLMetaElement" "\0"
  /*  6253 */ "HTMLMeterElement" "\0"
  /*  6270 */ "HTMLModElement" "\0"
  /*  6285 */ "HTMLOListElement" "\0"
  /*  6302 */ "HTMLObjectElement" "\0"
  /*  6320 */ "HTMLOptGroupElement" "\0"
  /*  6340 */ "HTMLOptionElement" "\0"
  /*  6358 */ "HTMLOptionsCollection" "\0"
  /*  6380 */ "HTMLOutputElement" "\0"
  /*  6398 */ "HTMLParagraphElement" "\0"
  /*  6419 */ "HTMLParamElement" "\0"
  /*  6436 */ "HTMLPictureElement" "\0"
  /*  6455 */ "HTMLPreElement" "\0"
  /*  6470 */ "HTMLProgressElement" "\0"
  /*  6490 */ "HTMLQuoteElement" "\0"
  /*  6507 */ "HTMLScriptElement" "\0"
  /*  6525 */ "HTMLSelectElement" "\0"
  /*  6543 */ "HTMLSlotElement" "\0"
  /*  6559 */ "HTMLSourceElement" "\0"
  /*  6577 */ "HTMLSpanElement" "\0"
  /*  6593 */ "HTMLStyleElement" "\0"
  /*  6610 */ "HTMLTableCaptionElement" "\0"
  /*  6634 */ "HTMLTableCellElement" "\0"
  /*  6655 */ "HTMLTableColElement" "\0"
  /*  6675 */ "HTMLTableElement" "\0"
  /*  6692 */ "HTMLTableRowElement" "\0"
  /*  6712 */ "HTMLTableSectionElement" "\0"
  /*  6736 */ "HTMLTemplateElement" "\0"
  /*  6756 */ "HTMLTextAreaElement" "\0"
  /*  6776 */ "HTMLTimeElement" "\0"
  /*  6792 */ "HTMLTitleElement" "\0"
  /*  6809 */ "HTMLTrackElement" "\0"
  /*  6826 */ "HTMLUListElement" "\0"
  /*  6843 */ "HTMLUnknownElement" "\0"
  /*  6862 */ "HTMLVideoElement" "\0"
  /*  6879 */ "HashChangeEvent" "\0"
  /*  6895 */ "Headers" "\0"
  /*  6903 */ "Headers Iterator" "\0"
  /*  6920 */ "HeapSnapshot" "\0"
  /*  6933 */ "Highlight" "\0"
  /*  6943 */ "HighlightRegistry" "\0"
  /*  6961 */ "History" "\0"
  /*  6969 */ "IDBCursor" "\0"
  /*  6979 */ "IDBCursorWithValue" "\0"
  /*  6998 */ "IDBDatabase" "\0"
  /*  7010 */ "IDBFactory" "\0"
  /*  7021 */ "IDBIndex" "\0"
  /*  7030 */ "IDBKeyRange" "\0"
  /*  7042 */ "IDBObjectStore" "\0"
  /*  7057 */ "IDBOpenDBRequest" "\0"
  /*  7074 */ "IDBRequest" "\0"
  /*  7085 */ "IDBTransaction" "\0"
  /*  7100 */ "IDBVersionChangeEvent" "\0"
  /*  7122 */ "IIRFilterNode" "\0"
  /*  7136 */ "IOUtils" "\0"
  /*  7144 */ "IdentityCredential" "\0"
  /*  7163 */ "IdleDeadline" "\0"
  /*  7176 */ "Image" "\0"
  /*  7182 */ "ImageBitmap" "\0"
  /*  7194 */ "ImageBitmapRenderingContext" "\0"
  /*  7222 */ "ImageCapture" "\0"
  /*  7235 */ "ImageCaptureError" "\0"
  /*  7253 */ "ImageCaptureErrorEvent" "\0"
  /*  7276 */ "ImageData" "\0"
  /*  7286 */ "ImageDecoder" "\0"
  /*  7299 */ "ImageDocument" "\0"
  /*  7313 */ "ImageTrack" "\0"
  /*  7324 */ "ImageTrackList" "\0"
  /*  7339 */ "InputEvent" "\0"
  /*  7350 */ "InspectorCSSParser" "\0"
  /*  7369 */ "InspectorFontFace" "\0"
  /*  7387 */ "InspectorUtils" "\0"
  /*  7402 */ "InstallTriggerImpl" "\0"
  /*  7421 */ "IntersectionObserver" "\0"
  /*  7442 */ "IntersectionObserverEntry" "\0"
  /*  7468 */ "IntlUtils" "\0"
  /*  7478 */ "InvokeEvent" "\0"
  /*  7490 */ "JSProcessActorChild" "\0"
  /*  7510 */ "JSProcessActorParent" "\0"
  /*  7531 */ "JSWindowActorChild" "\0"
  /*  7550 */ "JSWindowActorParent" "\0"
  /*  7570 */ "KeyEvent" "\0"
  /*  7579 */ "KeyboardEvent" "\0"
  /*  7593 */ "KeyframeEffect" "\0"
  /*  7608 */ "L10nFileSource" "\0"
  /*  7623 */ "L10nOverlays" "\0"
  /*  7636 */ "L10nRegistry" "\0"
  /*  7649 */ "LargestContentfulPaint" "\0"
  /*  7672 */ "LegacyMozTCPSocket" "\0"
  /*  7691 */ "Localization" "\0"
  /*  7704 */ "Location" "\0"
  /*  7713 */ "Lock" "\0"
  /*  7718 */ "LockManager" "\0"
  /*  7730 */ "MIDIAccess" "\0"
  /*  7741 */ "MIDIConnectionEvent" "\0"
  /*  7761 */ "MIDIInput" "\0"
  /*  7771 */ "MIDIInputMap" "\0"
  /*  7784 */ "MIDIMessageEvent" "\0"
  /*  7801 */ "MIDIOutput" "\0"
  /*  7812 */ "MIDIOutputMap" "\0"
  /*  7826 */ "MIDIPort" "\0"
  /*  7835 */ "MOZ_debug" "\0"
  /*  7845 */ "MatchGlob" "\0"
  /*  7855 */ "MatchPattern" "\0"
  /*  7868 */ "MatchPatternSet" "\0"
  /*  7884 */ "MathMLElement" "\0"
  /*  7898 */ "MediaCapabilities" "\0"
  /*  7916 */ "MediaControlService" "\0"
  /*  7936 */ "MediaController" "\0"
  /*  7952 */ "MediaDeviceInfo" "\0"
  /*  7968 */ "MediaDevices" "\0"
  /*  7981 */ "MediaElementAudioSourceNode" "\0"
  /*  8009 */ "MediaEncryptedEvent" "\0"
  /*  8029 */ "MediaError" "\0"
  /*  8040 */ "MediaKeyError" "\0"
  /*  8054 */ "MediaKeyMessageEvent" "\0"
  /*  8075 */ "MediaKeySession" "\0"
  /*  8091 */ "MediaKeyStatusMap" "\0"
  /*  8109 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8136 */ "MediaKeySystemAccess" "\0"
  /*  8157 */ "MediaKeys" "\0"
  /*  8167 */ "MediaList" "\0"
  /*  8177 */ "MediaMetadata" "\0"
  /*  8191 */ "MediaQueryList" "\0"
  /*  8206 */ "MediaQueryListEvent" "\0"
  /*  8226 */ "MediaRecorder" "\0"
  /*  8240 */ "MediaRecorderErrorEvent" "\0"
  /*  8264 */ "MediaSession" "\0"
  /*  8277 */ "MediaSource" "\0"
  /*  8289 */ "MediaStream" "\0"
  /*  8301 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8333 */ "MediaStreamAudioSourceNode" "\0"
  /*  8360 */ "MediaStreamError" "\0"
  /*  8377 */ "MediaStreamEvent" "\0"
  /*  8394 */ "MediaStreamTrack" "\0"
  /*  8411 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8443 */ "MediaStreamTrackEvent" "\0"
  /*  8465 */ "MerchantValidationEvent" "\0"
  /*  8489 */ "MessageBroadcaster" "\0"
  /*  8508 */ "MessageChannel" "\0"
  /*  8523 */ "MessageEvent" "\0"
  /*  8536 */ "MessageListenerManager" "\0"
  /*  8559 */ "MessagePort" "\0"
  /*  8571 */ "MessageSender" "\0"
  /*  8585 */ "MimeType" "\0"
  /*  8594 */ "MimeTypeArray" "\0"
  /*  8608 */ "MouseEvent" "\0"
  /*  8619 */ "MouseScrollEvent" "\0"
  /*  8636 */ "MozCanvasPrintState" "\0"
  /*  8656 */ "MozDocumentMatcher" "\0"
  /*  8675 */ "MozDocumentObserver" "\0"
  /*  8695 */ "MozQueryInterface" "\0"
  /*  8713 */ "MozSharedMap" "\0"
  /*  8726 */ "MozSharedMap Iterator" "\0"
  /*  8748 */ "MozSharedMapChangeEvent" "\0"
  /*  8772 */ "MozStorageAsyncStatementParams" "\0"
  /*  8803 */ "MozStorageStatementParams" "\0"
  /*  8829 */ "MozStorageStatementRow" "\0"
  /*  8852 */ "MozWritableSharedMap" "\0"
  /*  8873 */ "MutationEvent" "\0"
  /*  8887 */ "MutationObserver" "\0"
  /*  8904 */ "MutationRecord" "\0"
  /*  8919 */ "NamedNodeMap" "\0"
  /*  8932 */ "NavigateEvent" "\0"
  /*  8946 */ "Navigation" "\0"
  /*  8957 */ "NavigationActivation" "\0"
  /*  8978 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9012 */ "NavigationDestination" "\0"
  /*  9034 */ "NavigationHistoryEntry" "\0"
  /*  9057 */ "NavigationPreloadManager" "\0"
  /*  9082 */ "NavigationTransition" "\0"
  /*  9103 */ "Navigator" "\0"
  /*  9113 */ "NetworkInformation" "\0"
  /*  9132 */ "Node" "\0"
  /*  9137 */ "NodeFilter" "\0"
  /*  9148 */ "NodeIterator" "\0"
  /*  9161 */ "NodeList" "\0"
  /*  9170 */ "Notification" "\0"
  /*  9183 */ "NotificationEvent" "\0"
  /*  9201 */ "NotifyPaintEvent" "\0"
  /*  9218 */ "OES_draw_buffers_indexed" "\0"
  /*  9243 */ "OES_element_index_uint" "\0"
  /*  9266 */ "OES_fbo_render_mipmap" "\0"
  /*  9288 */ "OES_standard_derivatives" "\0"
  /*  9313 */ "OES_texture_float" "\0"
  /*  9331 */ "OES_texture_float_linear" "\0"
  /*  9356 */ "OES_texture_half_float" "\0"
  /*  9379 */ "OES_texture_half_float_linear" "\0"
  /*  9409 */ "OES_vertex_array_object" "\0"
  /*  9433 */ "OVR_multiview2" "\0"
  /*  9448 */ "OfflineAudioCompletionEvent" "\0"
  /*  9476 */ "OfflineAudioContext" "\0"
  /*  9496 */ "OffscreenCanvas" "\0"
  /*  9512 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9546 */ "Option" "\0"
  /*  9553 */ "OscillatorNode" "\0"
  /*  9568 */ "PageTransitionEvent" "\0"
  /*  9588 */ "PaintRequest" "\0"
  /*  9601 */ "PaintRequestList" "\0"
  /*  9618 */ "PaintWorkletGlobalScope" "\0"
  /*  9642 */ "PannerNode" "\0"
  /*  9653 */ "ParentProcessMessageManager" "\0"
  /*  9681 */ "Path2D" "\0"
  /*  9688 */ "PathUtils" "\0"
  /*  9698 */ "PaymentAddress" "\0"
  /*  9713 */ "PaymentMethodChangeEvent" "\0"
  /*  9738 */ "PaymentRequest" "\0"
  /*  9753 */ "PaymentRequestUpdateEvent" "\0"
  /*  9779 */ "PaymentResponse" "\0"
  /*  9795 */ "PeerConnectionImpl" "\0"
  /*  9814 */ "PeerConnectionObserver" "\0"
  /*  9837 */ "Performance" "\0"
  /*  9849 */ "PerformanceEntry" "\0"
  /*  9866 */ "PerformanceEntryEvent" "\0"
  /*  9888 */ "PerformanceEventTiming" "\0"
  /*  9911 */ "PerformanceMark" "\0"
  /*  9927 */ "PerformanceMeasure" "\0"
  /*  9946 */ "PerformanceNavigation" "\0"
  /*  9968 */ "PerformanceNavigationTiming" "\0"
  /*  9996 */ "PerformanceObserver" "\0"
  /* 10016 */ "PerformanceObserverEntryList" "\0"
  /* 10045 */ "PerformancePaintTiming" "\0"
  /* 10068 */ "PerformanceResourceTiming" "\0"
  /* 10094 */ "PerformanceServerTiming" "\0"
  /* 10118 */ "PerformanceTiming" "\0"
  /* 10136 */ "PeriodicWave" "\0"
  /* 10149 */ "PermissionStatus" "\0"
  /* 10166 */ "Permissions" "\0"
  /* 10178 */ "PlacesBookmark" "\0"
  /* 10193 */ "PlacesBookmarkAddition" "\0"
  /* 10216 */ "PlacesBookmarkChanged" "\0"
  /* 10238 */ "PlacesBookmarkGuid" "\0"
  /* 10257 */ "PlacesBookmarkKeyword" "\0"
  /* 10279 */ "PlacesBookmarkMoved" "\0"
  /* 10299 */ "PlacesBookmarkRemoved" "\0"
  /* 10321 */ "PlacesBookmarkTags" "\0"
  /* 10340 */ "PlacesBookmarkTime" "\0"
  /* 10359 */ "PlacesBookmarkTitle" "\0"
  /* 10379 */ "PlacesBookmarkUrl" "\0"
  /* 10397 */ "PlacesEvent" "\0"
  /* 10409 */ "PlacesEventCounts" "\0"
  /* 10427 */ "PlacesFavicon" "\0"
  /* 10441 */ "PlacesHistoryCleared" "\0"
  /* 10462 */ "PlacesObservers" "\0"
  /* 10478 */ "PlacesPurgeCaches" "\0"
  /* 10496 */ "PlacesRanking" "\0"
  /* 10510 */ "PlacesVisit" "\0"
  /* 10522 */ "PlacesVisitRemoved" "\0"
  /* 10541 */ "PlacesVisitTitle" "\0"
  /* 10558 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10584 */ "Plugin" "\0"
  /* 10591 */ "PluginArray" "\0"
  /* 10603 */ "PluginCrashedEvent" "\0"
  /* 10622 */ "PointerEvent" "\0"
  /* 10635 */ "PopStateEvent" "\0"
  /* 10649 */ "PopupBlockedEvent" "\0"
  /* 10667 */ "PopupPositionedEvent" "\0"
  /* 10688 */ "PositionStateEvent" "\0"
  /* 10707 */ "PrecompiledScript" "\0"
  /* 10725 */ "PrivateAttribution" "\0"
  /* 10744 */ "ProcessMessageManager" "\0"
  /* 10766 */ "ProcessingInstruction" "\0"
  /* 10788 */ "ProgressEvent" "\0"
  /* 10802 */ "PromiseDebugging" "\0"
  /* 10819 */ "PromiseNativeHandler" "\0"
  /* 10840 */ "PromiseRejectionEvent" "\0"
  /* 10862 */ "PublicKeyCredential" "\0"
  /* 10882 */ "PushEvent" "\0"
  /* 10892 */ "PushManager" "\0"
  /* 10904 */ "PushManagerImpl" "\0"
  /* 10920 */ "PushMessageData" "\0"
  /* 10936 */ "PushSubscription" "\0"
  /* 10953 */ "PushSubscriptionOptions" "\0"
  /* 10977 */ "RTCCertificate" "\0"
  /* 10992 */ "RTCDTMFSender" "\0"
  /* 11006 */ "RTCDTMFToneChangeEvent" "\0"
  /* 11029 */ "RTCDataChannel" "\0"
  /* 11044 */ "RTCDataChannelEvent" "\0"
  /* 11064 */ "RTCDtlsTransport" "\0"
  /* 11081 */ "RTCEncodedAudioFrame" "\0"
  /* 11102 */ "RTCEncodedVideoFrame" "\0"
  /* 11123 */ "RTCIceCandidate" "\0"
  /* 11139 */ "RTCIceTransport" "\0"
  /* 11155 */ "RTCIdentityProviderRegistrar" "\0"
  /* 11184 */ "RTCPeerConnection" "\0"
  /* 11202 */ "RTCPeerConnectionIceEvent" "\0"
  /* 11228 */ "RTCPeerConnectionStatic" "\0"
  /* 11252 */ "RTCRtpReceiver" "\0"
  /* 11267 */ "RTCRtpScriptTransform" "\0"
  /* 11289 */ "RTCRtpScriptTransformer" "\0"
  /* 11313 */ "RTCRtpSender" "\0"
  /* 11326 */ "RTCRtpTransceiver" "\0"
  /* 11344 */ "RTCSctpTransport" "\0"
  /* 11361 */ "RTCSessionDescription" "\0"
  /* 11383 */ "RTCStatsReport" "\0"
  /* 11398 */ "RTCTrackEvent" "\0"
  /* 11412 */ "RTCTransformEvent" "\0"
  /* 11430 */ "RadioNodeList" "\0"
  /* 11444 */ "Range" "\0"
  /* 11450 */ "ReadableByteStreamController" "\0"
  /* 11479 */ "ReadableStream" "\0"
  /* 11494 */ "ReadableStream AsyncIterator" "\0"
  /* 11523 */ "ReadableStreamBYOBReader" "\0"
  /* 11548 */ "ReadableStreamBYOBRequest" "\0"
  /* 11574 */ "ReadableStreamDefaultController" "\0"
  /* 11606 */ "ReadableStreamDefaultReader" "\0"
  /* 11634 */ "Report" "\0"
  /* 11641 */ "ReportBody" "\0"
  /* 11652 */ "ReportingObserver" "\0"
  /* 11670 */ "Request" "\0"
  /* 11678 */ "ResizeObserver" "\0"
  /* 11693 */ "ResizeObserverEntry" "\0"
  /* 11713 */ "ResizeObserverSize" "\0"
  /* 11732 */ "Response" "\0"
  /* 11741 */ "SVGAElement" "\0"
  /* 11753 */ "SVGAngle" "\0"
  /* 11762 */ "SVGAnimateElement" "\0"
  /* 11780 */ "SVGAnimateMotionElement" "\0"
  /* 11804 */ "SVGAnimateTransformElement" "\0"
  /* 11831 */ "SVGAnimatedAngle" "\0"
  /* 11848 */ "SVGAnimatedBoolean" "\0"
  /* 11867 */ "SVGAnimatedEnumeration" "\0"
  /* 11890 */ "SVGAnimatedInteger" "\0"
  /* 11909 */ "SVGAnimatedLength" "\0"
  /* 11927 */ "SVGAnimatedLengthList" "\0"
  /* 11949 */ "SVGAnimatedNumber" "\0"
  /* 11967 */ "SVGAnimatedNumberList" "\0"
  /* 11989 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 12020 */ "SVGAnimatedRect" "\0"
  /* 12036 */ "SVGAnimatedString" "\0"
  /* 12054 */ "SVGAnimatedTransformList" "\0"
  /* 12079 */ "SVGAnimationElement" "\0"
  /* 12099 */ "SVGCircleElement" "\0"
  /* 12116 */ "SVGClipPathElement" "\0"
  /* 12135 */ "SVGComponentTransferFunctionElement" "\0"
  /* 12171 */ "SVGDefsElement" "\0"
  /* 12186 */ "SVGDescElement" "\0"
  /* 12201 */ "SVGElement" "\0"
  /* 12212 */ "SVGEllipseElement" "\0"
  /* 12230 */ "SVGFEBlendElement" "\0"
  /* 12248 */ "SVGFEColorMatrixElement" "\0"
  /* 12272 */ "SVGFEComponentTransferElement" "\0"
  /* 12302 */ "SVGFECompositeElement" "\0"
  /* 12324 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12351 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12379 */ "SVGFEDisplacementMapElement" "\0"
  /* 12407 */ "SVGFEDistantLightElement" "\0"
  /* 12432 */ "SVGFEDropShadowElement" "\0"
  /* 12455 */ "SVGFEFloodElement" "\0"
  /* 12473 */ "SVGFEFuncAElement" "\0"
  /* 12491 */ "SVGFEFuncBElement" "\0"
  /* 12509 */ "SVGFEFuncGElement" "\0"
  /* 12527 */ "SVGFEFuncRElement" "\0"
  /* 12545 */ "SVGFEGaussianBlurElement" "\0"
  /* 12570 */ "SVGFEImageElement" "\0"
  /* 12588 */ "SVGFEMergeElement" "\0"
  /* 12606 */ "SVGFEMergeNodeElement" "\0"
  /* 12628 */ "SVGFEMorphologyElement" "\0"
  /* 12651 */ "SVGFEOffsetElement" "\0"
  /* 12670 */ "SVGFEPointLightElement" "\0"
  /* 12693 */ "SVGFESpecularLightingElement" "\0"
  /* 12722 */ "SVGFESpotLightElement" "\0"
  /* 12744 */ "SVGFETileElement" "\0"
  /* 12761 */ "SVGFETurbulenceElement" "\0"
  /* 12784 */ "SVGFilterElement" "\0"
  /* 12801 */ "SVGForeignObjectElement" "\0"
  /* 12825 */ "SVGGElement" "\0"
  /* 12837 */ "SVGGeometryElement" "\0"
  /* 12856 */ "SVGGradientElement" "\0"
  /* 12875 */ "SVGGraphicsElement" "\0"
  /* 12894 */ "SVGImageElement" "\0"
  /* 12910 */ "SVGLength" "\0"
  /* 12920 */ "SVGLengthList" "\0"
  /* 12934 */ "SVGLineElement" "\0"
  /* 12949 */ "SVGLinearGradientElement" "\0"
  /* 12974 */ "SVGMPathElement" "\0"
  /* 12990 */ "SVGMarkerElement" "\0"
  /* 13007 */ "SVGMaskElement" "\0"
  /* 13022 */ "SVGMatrix" "\0"
  /* 13032 */ "SVGMetadataElement" "\0"
  /* 13051 */ "SVGNumber" "\0"
  /* 13061 */ "SVGNumberList" "\0"
  /* 13075 */ "SVGPathElement" "\0"
  /* 13090 */ "SVGPatternElement" "\0"
  /* 13108 */ "SVGPoint" "\0"
  /* 13117 */ "SVGPointList" "\0"
  /* 13130 */ "SVGPolygonElement" "\0"
  /* 13148 */ "SVGPolylineElement" "\0"
  /* 13167 */ "SVGPreserveAspectRatio" "\0"
  /* 13190 */ "SVGRadialGradientElement" "\0"
  /* 13215 */ "SVGRect" "\0"
  /* 13223 */ "SVGRectElement" "\0"
  /* 13238 */ "SVGSVGElement" "\0"
  /* 13252 */ "SVGScriptElement" "\0"
  /* 13269 */ "SVGSetElement" "\0"
  /* 13283 */ "SVGStopElement" "\0"
  /* 13298 */ "SVGStringList" "\0"
  /* 13312 */ "SVGStyleElement" "\0"
  /* 13328 */ "SVGSwitchElement" "\0"
  /* 13345 */ "SVGSymbolElement" "\0"
  /* 13362 */ "SVGTSpanElement" "\0"
  /* 13378 */ "SVGTextContentElement" "\0"
  /* 13400 */ "SVGTextElement" "\0"
  /* 13415 */ "SVGTextPathElement" "\0"
  /* 13434 */ "SVGTextPositioningElement" "\0"
  /* 13460 */ "SVGTitleElement" "\0"
  /* 13476 */ "SVGTransform" "\0"
  /* 13489 */ "SVGTransformList" "\0"
  /* 13506 */ "SVGUnitTypes" "\0"
  /* 13519 */ "SVGUseElement" "\0"
  /* 13533 */ "SVGViewElement" "\0"
  /* 13548 */ "Sanitizer" "\0"
  /* 13558 */ "Scheduler" "\0"
  /* 13568 */ "Screen" "\0"
  /* 13575 */ "ScreenLuminance" "\0"
  /* 13591 */ "ScreenOrientation" "\0"
  /* 13609 */ "ScriptProcessorNode" "\0"
  /* 13629 */ "ScrollAreaEvent" "\0"
  /* 13645 */ "ScrollViewChangeEvent" "\0"
  /* 13667 */ "SecurityPolicyViolationEvent" "\0"
  /* 13696 */ "Selection" "\0"
  /* 13706 */ "ServiceWorker" "\0"
  /* 13720 */ "ServiceWorkerContainer" "\0"
  /* 13743 */ "ServiceWorkerGlobalScope" "\0"
  /* 13768 */ "ServiceWorkerRegistration" "\0"
  /* 13794 */ "SessionStoreFormData" "\0"
  /* 13815 */ "SessionStoreScrollData" "\0"
  /* 13838 */ "SessionStoreUtils" "\0"
  /* 13856 */ "ShadowRealmGlobalScope" "\0"
  /* 13879 */ "ShadowRoot" "\0"
  /* 13890 */ "SharedWorker" "\0"
  /* 13903 */ "SharedWorkerGlobalScope" "\0"
  /* 13927 */ "SimpleGestureEvent" "\0"
  /* 13946 */ "SourceBuffer" "\0"
  /* 13959 */ "SourceBufferList" "\0"
  /* 13976 */ "SpeechGrammar" "\0"
  /* 13990 */ "SpeechGrammarList" "\0"
  /* 14008 */ "SpeechRecognition" "\0"
  /* 14026 */ "SpeechRecognitionAlternative" "\0"
  /* 14055 */ "SpeechRecognitionError" "\0"
  /* 14078 */ "SpeechRecognitionEvent" "\0"
  /* 14101 */ "SpeechRecognitionResult" "\0"
  /* 14125 */ "SpeechRecognitionResultList" "\0"
  /* 14153 */ "SpeechSynthesis" "\0"
  /* 14169 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14195 */ "SpeechSynthesisEvent" "\0"
  /* 14216 */ "SpeechSynthesisUtterance" "\0"
  /* 14241 */ "SpeechSynthesisVoice" "\0"
  /* 14262 */ "StaticRange" "\0"
  /* 14274 */ "StereoPannerNode" "\0"
  /* 14291 */ "Storage" "\0"
  /* 14299 */ "StorageEvent" "\0"
  /* 14312 */ "StorageManager" "\0"
  /* 14327 */ "StreamFilter" "\0"
  /* 14340 */ "StreamFilterDataEvent" "\0"
  /* 14362 */ "StructuredCloneHolder" "\0"
  /* 14384 */ "StructuredCloneTester" "\0"
  /* 14406 */ "StyleSheet" "\0"
  /* 14417 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14454 */ "StyleSheetList" "\0"
  /* 14469 */ "StyleSheetRemovedEvent" "\0"
  /* 14492 */ "SubmitEvent" "\0"
  /* 14504 */ "SubtleCrypto" "\0"
  /* 14517 */ "SyncMessageSender" "\0"
  /* 14535 */ "SyncReadFile" "\0"
  /* 14548 */ "TCPServerSocket" "\0"
  /* 14564 */ "TCPServerSocketEvent" "\0"
  /* 14585 */ "TCPSocket" "\0"
  /* 14595 */ "TCPSocketErrorEvent" "\0"
  /* 14615 */ "TCPSocketEvent" "\0"
  /* 14630 */ "TaskController" "\0"
  /* 14645 */ "TaskPriorityChangeEvent" "\0"
  /* 14669 */ "TaskSignal" "\0"
  /* 14680 */ "TelemetryStopwatch" "\0"
  /* 14699 */ "TestUtils" "\0"
  /* 14709 */ "TestingDeprecatedInterface" "\0"
  /* 14736 */ "Text" "\0"
  /* 14741 */ "TextClause" "\0"
  /* 14752 */ "TextDecoder" "\0"
  /* 14764 */ "TextDecoderStream" "\0"
  /* 14782 */ "TextEncoder" "\0"
  /* 14794 */ "TextEncoderStream" "\0"
  /* 14812 */ "TextEvent" "\0"
  /* 14822 */ "TextMetrics" "\0"
  /* 14834 */ "TextTrack" "\0"
  /* 14844 */ "TextTrackCue" "\0"
  /* 14857 */ "TextTrackCueList" "\0"
  /* 14874 */ "TextTrackList" "\0"
  /* 14888 */ "TimeEvent" "\0"
  /* 14898 */ "TimeRanges" "\0"
  /* 14909 */ "ToggleEvent" "\0"
  /* 14921 */ "Touch" "\0"
  /* 14927 */ "TouchEvent" "\0"
  /* 14938 */ "TouchList" "\0"
  /* 14948 */ "TrackEvent" "\0"
  /* 14959 */ "TransformStream" "\0"
  /* 14975 */ "TransformStreamDefaultController" "\0"
  /* 15008 */ "TransitionEvent" "\0"
  /* 15024 */ "TreeColumn" "\0"
  /* 15035 */ "TreeColumns" "\0"
  /* 15047 */ "TreeContentView" "\0"
  /* 15063 */ "TreeWalker" "\0"
  /* 15074 */ "TrustedHTML" "\0"
  /* 15086 */ "TrustedScript" "\0"
  /* 15100 */ "TrustedScriptURL" "\0"
  /* 15117 */ "TrustedTypePolicy" "\0"
  /* 15135 */ "TrustedTypePolicyFactory" "\0"
  /* 15160 */ "UDPMessageEvent" "\0"
  /* 15176 */ "UDPSocket" "\0"
  /* 15186 */ "UIEvent" "\0"
  /* 15194 */ "URL" "\0"
  /* 15198 */ "URLSearchParams" "\0"
  /* 15214 */ "URLSearchParams Iterator" "\0"
  /* 15239 */ "UniFFIPointer" "\0"
  /* 15253 */ "UniFFIScaffolding" "\0"
  /* 15271 */ "UserActivation" "\0"
  /* 15286 */ "UserInteraction" "\0"
  /* 15302 */ "UserProximityEvent" "\0"
  /* 15321 */ "VRDisplay" "\0"
  /* 15331 */ "VRDisplayCapabilities" "\0"
  /* 15353 */ "VRDisplayEvent" "\0"
  /* 15368 */ "VREyeParameters" "\0"
  /* 15384 */ "VRFieldOfView" "\0"
  /* 15398 */ "VRFrameData" "\0"
  /* 15410 */ "VRMockController" "\0"
  /* 15427 */ "VRMockDisplay" "\0"
  /* 15441 */ "VRPose" "\0"
  /* 15448 */ "VRServiceTest" "\0"
  /* 15462 */ "VRStageParameters" "\0"
  /* 15480 */ "VTTCue" "\0"
  /* 15487 */ "VTTRegion" "\0"
  /* 15497 */ "ValidityState" "\0"
  /* 15511 */ "VideoColorSpace" "\0"
  /* 15527 */ "VideoDecoder" "\0"
  /* 15540 */ "VideoEncoder" "\0"
  /* 15553 */ "VideoFrame" "\0"
  /* 15564 */ "VideoPlaybackQuality" "\0"
  /* 15585 */ "VideoTrack" "\0"
  /* 15596 */ "VideoTrackList" "\0"
  /* 15611 */ "VisualViewport" "\0"
  /* 15626 */ "WEBGL_color_buffer_float" "\0"
  /* 15651 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15681 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15710 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15740 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15771 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15801 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15836 */ "WEBGL_debug_renderer_info" "\0"
  /* 15862 */ "WEBGL_debug_shaders" "\0"
  /* 15882 */ "WEBGL_depth_texture" "\0"
  /* 15902 */ "WEBGL_draw_buffers" "\0"
  /* 15921 */ "WEBGL_explicit_present" "\0"
  /* 15944 */ "WEBGL_lose_context" "\0"
  /* 15963 */ "WEBGL_provoking_vertex" "\0"
  /* 15986 */ "WakeLock" "\0"
  /* 15995 */ "WakeLockSentinel" "\0"
  /* 16012 */ "WaveShaperNode" "\0"
  /* 16027 */ "WebExtensionContentScript" "\0"
  /* 16053 */ "WebExtensionPolicy" "\0"
  /* 16072 */ "WebGL2RenderingContext" "\0"
  /* 16095 */ "WebGLActiveInfo" "\0"
  /* 16111 */ "WebGLBuffer" "\0"
  /* 16123 */ "WebGLContextEvent" "\0"
  /* 16141 */ "WebGLFramebuffer" "\0"
  /* 16158 */ "WebGLProgram" "\0"
  /* 16171 */ "WebGLQuery" "\0"
  /* 16182 */ "WebGLRenderbuffer" "\0"
  /* 16200 */ "WebGLRenderingContext" "\0"
  /* 16222 */ "WebGLSampler" "\0"
  /* 16235 */ "WebGLShader" "\0"
  /* 16247 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16274 */ "WebGLSync" "\0"
  /* 16284 */ "WebGLTexture" "\0"
  /* 16297 */ "WebGLTransformFeedback" "\0"
  /* 16320 */ "WebGLUniformLocation" "\0"
  /* 16341 */ "WebGLVertexArrayObject" "\0"
  /* 16364 */ "WebKitCSSMatrix" "\0"
  /* 16380 */ "WebSocket" "\0"
  /* 16390 */ "WebTransport" "\0"
  /* 16403 */ "WebTransportBidirectionalStream" "\0"
  /* 16435 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16468 */ "WebTransportError" "\0"
  /* 16486 */ "WebTransportReceiveStream" "\0"
  /* 16512 */ "WebTransportSendStream" "\0"
  /* 16535 */ "WebrtcGlobalInformation" "\0"
  /* 16559 */ "WheelEvent" "\0"
  /* 16570 */ "Window" "\0"
  /* 16577 */ "WindowClient" "\0"
  /* 16590 */ "WindowContext" "\0"
  /* 16604 */ "WindowGlobalChild" "\0"
  /* 16622 */ "WindowGlobalParent" "\0"
  /* 16641 */ "WindowRoot" "\0"
  /* 16652 */ "Worker" "\0"
  /* 16659 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16685 */ "WorkerGlobalScope" "\0"
  /* 16703 */ "WorkerLocation" "\0"
  /* 16718 */ "WorkerNavigator" "\0"
  /* 16734 */ "WorkerTestUtils" "\0"
  /* 16750 */ "Worklet" "\0"
  /* 16758 */ "WorkletGlobalScope" "\0"
  /* 16777 */ "WritableStream" "\0"
  /* 16792 */ "WritableStreamDefaultController" "\0"
  /* 16824 */ "WritableStreamDefaultWriter" "\0"
  /* 16852 */ "XMLDocument" "\0"
  /* 16864 */ "XMLHttpRequest" "\0"
  /* 16879 */ "XMLHttpRequestEventTarget" "\0"
  /* 16905 */ "XMLHttpRequestUpload" "\0"
  /* 16926 */ "XMLSerializer" "\0"
  /* 16940 */ "XPathEvaluator" "\0"
  /* 16955 */ "XPathExpression" "\0"
  /* 16971 */ "XPathResult" "\0"
  /* 16983 */ "XRBoundedReferenceSpace" "\0"
  /* 17007 */ "XRFrame" "\0"
  /* 17015 */ "XRInputSource" "\0"
  /* 17029 */ "XRInputSourceArray" "\0"
  /* 17048 */ "XRInputSourceEvent" "\0"
  /* 17067 */ "XRInputSourcesChangeEvent" "\0"
  /* 17093 */ "XRPose" "\0"
  /* 17100 */ "XRReferenceSpace" "\0"
  /* 17117 */ "XRReferenceSpaceEvent" "\0"
  /* 17139 */ "XRRenderState" "\0"
  /* 17153 */ "XRRigidTransform" "\0"
  /* 17170 */ "XRSession" "\0"
  /* 17180 */ "XRSessionEvent" "\0"
  /* 17195 */ "XRSpace" "\0"
  /* 17203 */ "XRSystem" "\0"
  /* 17212 */ "XRView" "\0"
  /* 17219 */ "XRViewerPose" "\0"
  /* 17232 */ "XRViewport" "\0"
  /* 17243 */ "XRWebGLLayer" "\0"
  /* 17256 */ "XSLTProcessor" "\0"
  /* 17270 */ "XULCommandEvent" "\0"
  /* 17286 */ "XULElement" "\0"
  /* 17297 */ "XULFrameElement" "\0"
  /* 17313 */ "XULMenuElement" "\0"
  /* 17328 */ "XULPopupElement" "\0"
  /* 17344 */ "XULResizerElement" "\0"
  /* 17362 */ "XULTextElement" "\0"
  /* 17377 */ "XULTreeElement" "\0"
  /* 17392 */ "console" "\0"
  /* 17400 */ "webkitSpeechGrammar" "\0"
  /* 17420 */ "webkitSpeechGrammarList" "\0"
  /* 17444 */ "webkitSpeechRecognition" "\0"
  /* 17468 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

